## Struct impl

boost::log::attributes::basic_clock::impl — Attribute factory implementation.

## Synopsis

    // In header: <boost/log/attributes/clock.hpp>

    // Attribute factory implementation.

    struct impl : public attribute::impl {

      // public member functions
      virtual attribute_value get_value();
    };

## Description

### `impl` public member functions

1.     virtual attribute_value get_value();

   Returns: | The actual attribute value. It shall not return empty values (exceptions shall be used to indicate errors).